<?php

declare(strict_types=1);

namespace FiloBlu\VatValidatorApi\Api;

use FiloBlu\VatValidatorApi\Model\ValidationResult;

/**
 *
 */
interface ValidationServiceInterface
{
    /**
     * @param \FiloBlu\VatValidatorApi\Api\ValidationServiceRequestInterface $request
     * @return \FiloBlu\VatValidatorApi\Model\ValidationResult
     */
    public function validate(ValidationServiceRequestInterface $request) : ValidationResult;
}
