<?php

declare(strict_types=1);

namespace FiloBlu\VatValidatorApi\Api;

/**
 *
 */
interface ValidationServiceRequestInterface
{
    const VAT_NUMBER = 'vat_number';
    const COUNTRY_CODE = 'country_code';

    /**
     * @return string
     */
    public function getVatNumber() : string;

    /**
     * @return string
     */
    public function getCountryCode() : string;

    /**
     * @param string $vatNumber
     * @return mixed
     */
    public function setVatNumber(string $vatNumber);

    /**
     * @param string $countryCode
     * @return mixed
     */
    public function setCountryCode(string $countryCode);
}